//.################################################
//# Copyright  2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using Evolving.DomainTypes;
using Evolving.TrueView.Domain.Attributes;

namespace TestApplicationDomainModel.Objects
{
    /// <summary>
    /// This class has a custom Presenter associated with it
    /// </summary>
    [Serializable]
    public class SubProductB : Product
    {

        /// <summary>
        /// This property should only be available on SubProductB
        /// </summary>
        [Number(MinValue = 0, MaxValue = 10000)]
        public double Quantity { get; set; }

        public DateTime DeliveryDate { get; set; }

    }
}
