//.################################################
//# Copyright  2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System.Collections.Generic;
using Evolving.DomainTypes;

namespace TestApplicationDomainModel.BasicTypes
{

    public class EnumValuesFilterSpecification : IQuerySpecification<EnumValues.IndividualOptions>
    {

        public IList<EnumValues.IndividualOptions> GetResults(object requester)
        {
            // The requesting object may be used to determine which results to return

            return new List<EnumValues.IndividualOptions>() { EnumValues.IndividualOptions.Red, EnumValues.IndividualOptions.Blue};
        }

    }
}
