//.################################################
//# Copyright  2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using Evolving.DomainTypes;
using Evolving.TrueView.Domain.Attributes;

namespace TestApplicationDomainModel.TestAssociations
{
    [Serializable]
    [ObjectInstance(Name = "Bi-Directional One-to-One")]
    internal class BiDir_OneToOne
    {
        private object m_OtherEnd;

        public Guid ID { get; internal set; }

        public object OtherEnd
        {
            get { return m_OtherEnd; }
            set
            {
                m_OtherEnd = value;
                // TODO: Set up the other end of relationship
            }
        }

    }
}
